Subject: Re: compile php 4.05 or 4.06 module?
From: "Gerrit P. Haase" <[email-masked]>
To: "Joshua" <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Oct 2001 09:30:31 +0200

Joshua schrieb am 2001-10-09, 20:01:

>Great! That took care of that part. Now on to the next :)
>
>I get 'undefined reference to errno' in:

Look for a header which is included by all the ffected files
or put an include in every of them, s.th. like this:
/*==================*/
#ifdef __CYGWIN__
#include <errno.h>
#endif

And if you have problems with h_errno do that:
==============================================
#ifndef __CYGWIN__
extern int h_errno
#endif

or so:
=====
#ifdef  __CYGWIN__
extern __declspec(dllimport) int h_errno;
#else
extern int h_errno;
#endif /* __CYGWIN__ */

>ext/mysql/libmysql/my_error.c
>ext/mysql/libmysql/my_malloc.c
>ext/mysql/libmysql/my_lib.c
>ext/mysql/libmysql/my_once.c
>
>Thanks!
>
>I just can't wait to see what's after that :)
>
>Joshua
>
>
>
>in reply to...
>
>for UNARY;
>http://www.cygwin.com/ml/cygwin/
>search w/ 'php unary'
>look at stripes msg (the maintainer)
>http://sources.redhat.com/ml/cygwin/2001-06/msg01107.html
>quick n dirty fix
>http://sources.redhat.com/ml/cygwin/2001-09/msg00038.html
>what we are looking for..
>http://sources.redhat.com/ml/cygwin/2001-09/msg00008.html
>
>for BUF;
>i went through my sources of php 4.0.6 i forget what i did,
>but here is the diff of filestat that i changed;
><snip>
>$ find /usr/src/php-4.0.6 | grep filestat
>/usr/src/php-4.0.6/ext/standard/filestat.c
>/usr/src/php-4.0.6/ext/standard/php_filestat.h
>/usr/src/php-4.0.6/ext/standard/filestat.o
>/usr/src/php-4.0.6/ext/standard/filestat.c~
>/usr/src/php-4.0.6/ext/standard/filestat.lo
>
>swan@BRONCO /usr/src/php-4.0.6
>$ diff /usr/src/php-4.0.6/ext/standard/filestat.c~
>/usr/src/php-4.0.6/ext/standard/filestat.c
>41a42,45
>> #if defined(__CYGWIN__)
>> #include <sys/vfs.h>
>> #else
>>
>47a52,53
>> #endif
>>
></snip>
>
>----- Original Message -----
>From: "Joshua" <[email-masked]>
>To: <[email-masked]>
>Sent: Wednesday, October 10, 2001 9:28 AM
>Subject: compile php 4.05 or 4.06 module?
>
>
>> Has anyone compiled the php 4.06 module succesfully? If yes, can you share
>> how you did that seemingly incredible feat?
>>
>> When I did, I encountered make errors about unary stuff in datetime.c
>which
>> I fixed only to encounter another error about 'buf' not having a size or
>> something in line 15t of filestat.c. I have no idea how to fix that.
>Anyone?
>>
>> Thanks
>>
>> Joshua
>>
>>
>> --
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> Bug reporting:         http://cygwin.com/bugs.html
>> Documentation:         http://cygwin.com/docs.html
>> FAQ:                   http://cygwin.com/faq/
>>
>>
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>
>

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/